---
id: fw
title: fw
hide_title: true
hide_table_of_contents: true
sidebar_label: fw
description: Firmware commands
---
## ipsw fw

Firmware commands

```
ipsw fw [flags]
```

### Options

```
  -h, --help   help for fw
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw](/docs/cli/ipsw)	 - Download and Parse IPSWs (and SO much more)
* [ipsw fw aea](/docs/cli/ipsw/fw/aea)	 - Parse AEA1 DMGs
* [ipsw fw aop](/docs/cli/ipsw/fw/aop)	 - Dump MachOs
* [ipsw fw c1](/docs/cli/ipsw/fw/c1)	 - Dump C1 Baseband Firmware
* [ipsw fw cam](/docs/cli/ipsw/fw/cam)	 - Dump MachOs
* [ipsw fw dcp](/docs/cli/ipsw/fw/dcp)	 - Dump MachOs
* [ipsw fw exclave](/docs/cli/ipsw/fw/exclave)	 - Dump MachOs
* [ipsw fw gpu](/docs/cli/ipsw/fw/gpu)	 - Dump MachOs
* [ipsw fw iboot](/docs/cli/ipsw/fw/iboot)	 - Dump iBoot files
* [ipsw fw ibootim](/docs/cli/ipsw/fw/ibootim)	 - Dump iBoot Images
* [ipsw fw tc](/docs/cli/ipsw/fw/tc)	 - Dump TrustCache

